#!/usr/bin/env ruby

require "kcc"

for file in ["hoge_asc", "hoge_euc", "hoge_jis", "hoge_sjis"]
  f = open(file, "r")

  printf "file: %10-s", file
  print "  code: "

  case Kcc.guess(f.gets)
  when Kcc::BINARY
	print "BINARY", "\n"
  when Kcc::ASCII
	print "ASCII", "\n"
  when Kcc::NONASCII
	print "NONASCII", "\n"
  when Kcc::JIS
	print "JIS", "\n"
  when Kcc::ESCI
	print "ESC(I", "\n"
  when Kcc::ASSUME
	print "ASSUME", "\n"
  when Kcc::EUC
	print "EUC", "\n"
  when Kcc::DEC
	print "DEC", "\n"
  when Kcc::SJIS
	print "SJIS", "\n"
  when Kcc::JIS8
	print "JIS8", "\n"
  when Kcc::BIT8
	print "BIT8", "\n"
  end

  f.close

end
